ExtUtils::Config(3)

NAME
ExtUtils::Config - A wrapper for perl's configuration

VERSION
version 0.007

SYNOPSIS
 my $config = ExtUtils::Config->new();
 $config->set('installsitelib', "$ENV{HOME}/lib");

DESCRIPTION
ExtUtils::Config is an abstraction around the %Config hash.

METHODS

  new(\%config)
Create a new ExtUtils::Config object. The values in "\%config" are used to initialize the object.

  get($key)
Get the value of $key. If not overriden it will return the value in %Config.

  exists($key)
Tests for the existence of $key.

  set($key, $value)
Set/override the value of $key to $value.

  clear($key)
Reset the value of $key to its original value.

  values_set()
Get a hashref of all overridden values.

  all_config()
Get a hashref of the complete configuration, including overrides.

  clone()
Clone the current configuration object.

  serialize()
This method serializes the object to some kind of string.

AUTHORS

•   Ken Williams <kwilliams@cpan.org>

•   Leon Timmermans <leont@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2006 by Ken Williams, Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.